<?php if(IsSet($kod) && $kod== "5e7c"):
// soubor umoznujici pristup do databazi nacitajici seznam lidi ve VLSI
require_once ("VLSIgroup.php");
//********* odkaz strankz ye ktere uzivatel prisel
$ref=$_SERVER['HTTP_REFERER'];
// zachovani anglickeho, nebo ceskeho menu do odkazu
if(false===strpos($ref,"indexen")){$ref="index";}else{$ref="indexen";}


// funkce pro vypis rolovacich tlacitek .... $row-aktualni stranka
function rolovani($row,$pocetlistu,$ref,$old)
{if ($pocetlistu>1){
   echo "<center>";
   if ($row==2) {echo("<a href=\"$ref.php?page=novinky&amp;row=1&amp;old=$old\"> &lt;&lt;</a>");}
   if ($row>2) {echo("<a href=\"$ref.php?page=novinky&amp;row=1&amp;old=$old\"> &lt;&lt;
                      </a>");$pom=$row-1;
                echo(" <a href=\"$ref.php?page=novinky&amp;row=$pom&amp;old=$old\"> &lt;
                      </a>");}
   echo(" <span style=\"color:red;\">$row/$pocetlistu </span>");
   if ($row+1==$pocetlistu){echo("<a href=\"$ref.php?page=novinky&amp;row=$pocetlistu&amp;old=$old\"> &gt;&gt;</a>");}
   if ($row+1<$pocetlistu) {$pom=$row+1;echo(" <a href=\"$ref.php?page=novinky&amp;row=$pom&amp;old=$old\"> &gt;</a> ");
   echo("<a href=\"$ref.php?page=novinky&amp;row=$pocetlistu&amp;old=$old\"> &gt;&gt;
                      </a>");
   }
echo "</center>";
   }}
?>



<h1>Novinky</h1>

<?php
//pripojeni do DB
if(!file_exists("dbconn.php")){die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require "dbconn.php";
 
// spocteni radku k vypsani
$dat=date("Y-m-d");
if(isset ($_GET['old']) && $_GET['old']==1){$where=" WHERE to_date < NOW()";$stare="stare";$old=1;}
else {$where=" WHERE to_date >= NOW()";$stare="";$old=0;}

$dotaz="SELECT COUNT(*) FROM board".$where;

$res=$db->query($dotaz);
//kontrola zda sme dostali z databaze vysledek a ulozeni do $pocetradku
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba. Stránka nebude správně zobrazena");
	} else {
      $res=pg_fetch_row($res);
      $pocetradku=$res[0];
}
//kontrola zda uzivatel nezmenil v odkazu $row na nepripustnou hodnotu
// nejdrive kontrola zda neprisel z odkazu kde row nebylo definovano
//nacteni row
if (!isset($_GET['row'])){$row=1;} else {$row=$_GET['row'];}

// kontrola zda je row cislo
if (is_numeric($row)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $row=(int)$row;
//spocteni poctu listu
     $pocetlistu=$pocetradku/pokolika;
     $pocetlistu=ceil($pocetlistu);
//kontrola zda row je v mezich poctu listu
     if ($row<1||$row>$pocetlistu){$row=1;}
}else{$row=1;}

// dotaz na db na vypis projektu
$res=$db->query ("SELECT * FROM board ".$where." ORDER BY id DESC"." LIMIT ".pokolika." OFFSET ".(($row-1)*pokolika));


echo"<ul>";
echo"<li><a href=\"$ref.php?page=novinky&amp;old=0\">Aktuální novinky</a></li>";
echo"<li><a href=\"$ref.php?page=novinky&amp;old=1\">Staré novinky</a></li>";
echo"</ul>";


// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Neexistuje žádný záznam.");
	} else {



// vypsani rolovani projektu

rolovani($row,$pocetlistu,$ref,$old);


//vypisovani po jednom projektu-pouze nenulove hodnoty
$classik=false;
echo "<ul class=\"sez\">";
while($data = pg_fetch_assoc($res)){
//zmeny barev pozadi
if ($classik===false){$classik=true;$trida="sude";}else{$classik=false;$trida="liche";}
$tridacela=$trida.$stare;
echo "<li class=\"$tridacela\">";

//vypis novinek s detekci odkazu
if ($data["nazev"]!==NULL){

  $mu=htmlspecialchars($data["nazev"]);
  //vytvori odkazy
  $mu = EregI_Replace("(http://[^ ]+\.[^ ]+)", " <a target=\"_blank\" href=\\1>\\1</a>", $mu);
  $mu = EregI_Replace("[^/](www\.[^ ]+\.[^ ]+)", " <a target=\"_blank\" href=http://\\1>\\1</a>", $mu);
  echo "<b>".$mu."</b><br />";}
if ($data["body"]!==NULL){
  $mu=htmlspecialchars($data["body"]);
  //vytvori odkazy
  $mu = EregI_Replace("(http://[^ ]+\.[^ ]+)", " <a target=\"_blank\" href=\\1>\\1</a>", $mu);
  $mu = EregI_Replace("[^/](www\.[^ ]+\.[^ ]+)", " <a target=\"_blank\" href=http://\\1>\\1</a>", $mu);


  echo $mu."<br />";}
if ($data["to_date"]!==NULL){echo "<div class=\"male\">Aktuální do: ".$data["to_date"]." ,ze dne: ".$data["from_date"]." , zadano od: ".$jmena[$data["zadal"]]."</div>";}else{echo "<div class=\"male\">Ze dne: ".$data["from_date"]." , zadano od: ".$jmena[$data["zadal"]]."</div>";}
echo "</li>";
}
echo "</ul>";
}

//vypsani rolovani
rolovani($row,$pocetlistu,$ref,$old);

//zavreni databaze
$db->close();
?>

<?php endif;?>
